Package org.opensaml.saml.saml2.core

# Interface SubjectLocality

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `SubjectLocalityImpl`

public interface SubjectLocality extends SAMLObject
SAML 2.0 Core SubjectLocality.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ADDRESS_ATTRIB_NAME`
Address attribute name.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`DNS_NAME_ATTRIB_NAME`
DNSName attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAddress()`
Gets the IP address of the system from which the subject was authenticated.
`String`
`getDNSName()`
Gets the DNSName of the system from which the subject was authenticated.
`void`
`setAddress(String newAddress)`
Sets the IP address of the system from which the subject was authenticated.
`void`
`setDNSName(String newDNSName)`
Sets the DNSName of the system from which the subject was authenticated.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### ADDRESS_ATTRIB_NAME

@Nonnull @NotEmpty static final String ADDRESS_ATTRIB_NAME
Address attribute name.

See Also:
  - Constant Field Values

### DNS_NAME_ATTRIB_NAME

@Nonnull @NotEmpty static final String DNS_NAME_ATTRIB_NAME
DNSName attribute name.

See Also:
  - Constant Field Values

## Method Details

### getAddress

@Nullable String getAddress()
Gets the IP address of the system from which the subject was authenticated.

Returns:
  the IP address of the system from which the subject was authenticated

### setAddress

void setAddress(@Nullable String newAddress)
Sets the IP address of the system from which the subject was authenticated.

Parameters:
  `newAddress` - the IP address of the system from which the subject was authenticated

### getDNSName

@Nullable String getDNSName()
Gets the DNSName of the system from which the subject was authenticated.

Returns:
  the DNSName of the system from which the subject was authenticated

### setDNSName

void setDNSName(@Nullable String newDNSName)
Sets the DNSName of the system from which the subject was authenticated.

Parameters:
  `newDNSName` - the DNSName of the system from which the subject was authenticated